#========================================================================
# Testing of Fedora Core rawhide
#------------------------------------------------------------------------

.image-fedora_rawhide:
  image: quay.io/fedora/fedora:rawhide

.build-rule-fedora_rawhide:
  extends:
    - .image-fedora_rawhide
    - .only-manual

.fedora_rawhide_rpm_build_cmake_package:
  extends:
    - .rpm_build_cmake_package
    - .build-rule-fedora_rawhide

fedora_rawhide:igwn_cmake:
  extends:
    - .fedora_rawhide_rpm_build_cmake_package
    - .setup-igwn-cmake

fedora_rawhide:deploy:
  variables:
    DEPLOY_DIR: local-release-fedora_rawhide
    DEPLOY_ARCH: x86_64
  extends:
    - .build-rule-fedora_rawhide
    - .stage-namespace-package
    - .rpm-deploy-suite
  needs:
    - fedora_rawhide:igwn_cmake

